Where do I get the latest PHP5.1.x? What other components need to be updated. Where do I get the php2ucs.nlm, it is not included in the NDK package.

I am trying to run Moogle but cant seem to find the right combination of support libraries (i.e. Mysql, php51 etc).